classification
Title: Possible new issues with IDLE
Type: Stage:
Components: IDLE Versions: Python 3.9
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: ned.deily, rhettinger, taleinat, terry.reedy, wordtech
Priority: normal Keywords:

Created on 2019-10-11 04:27 by rhettinger, last changed 2019-11-07 07:17 by ned.deily.

Files
File name Uploaded Description Edit
Screen Shot 2019-11-06 at 5.29.32 PM.png rhettinger, 2019-11-07 01:36 Screen-shot of the frozen file dialog
Messages (16)
msg354418 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-11 04:27
I've been exercising the 3.8.0rc1 version of IDLE and noticed two anomalies but have not had a chance to investigate further:

* Periodically in a long shell session, the cursor jumps to the beginning of the cumulative text output.  This necessitates a lot of scrolling to get back down to the active part of the session.

* The pop-up message box for interrupting currently running code will appear several times in succession.  Dismissing the box doesn't clear a queue of events, so the message may occur several times in a row.
msg354423 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-10-11 06:45
I presume this is on macOS, with its finicky tk.  Have you 'upgraded' to Catalina?  I have not, that I know of.  I will try 3.8.0rc1 on my MacBook Air tomorrow.

1. Jumps.  All the way to before the beginning "Python 3.8..." splash line?  How long is long?  I may not do not do long enough sessions on the mac to see this.

2. Do you mean the box with "Your program is still running!\nDo you want to kill it?" resulting from 'quit()' or 'exit()' or occasionally otherwise?  Will test tomorrow.
msg354426 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-10-11 07:28
(Just FYI: the version of Tcl/Tk, 8.6.8, we are shipping with the python.org installers for macOS is unchanged since 3.7.2 a year ago, 2.7.16 (in March), and has not changed during the 3.8.0 pre-release cycle.  We did try to update to 8.6.9 for 3.7.2rc1 but there were too many new regressions so we reverted to 8.6.8 and have stuck with it awaiting a release of 8.7.10.)
msg354433 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-10-11 08:41
(“8.7.10” should be “8.6.10”)
msg354565 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-13 07:18
* Am running 3.8.0rc1 on macOS Mojave 10.14.6.

* My Python is the stock mac 64-build from python.org.

* Started IDLE from a terminal with:
  $ python3.8 -m idlelib.idle

* Yes, the box is "Your program is still running!\nDo you want to kill it?"

* I'm running another course this week and see if I can get more specifics and perhaps a reproducer.
msg354984 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-20 04:58
I've twice observed another bit of flakey behavior.  When editing a line in a shell session, the cursor arrow keys start emitting mac's ? special symbol character.

I'll look to see if I can find a reproducer for this as well.
msg355424 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-10-26 18:33
Reproducer for the jump-to-top bug:
* Start an IDLE interactive shell session
* Run:  File Save As tmp.py
* Press F5 to run the shell session (this is an error)

Effects:
* A message box with "Invalid Syntax" appears
* The cursor jumps to the top row and lands
  on the first "3" in:
  "Python 3.8.0 (v3.8.0:fa919fdf25, Oct 14 2019, 10:23:27) "

Suggestions:
* Don't have the cursor jump after "Invalid Syntax"
* Disable F5 for interactive prompt sessions

Impact:
* Students are saving their long-running shell sessions during class.  Occasionally, they press F5 to run a script but the interactive shell has the focus.  The "jump" described above is disruptive because it moves the cursor to the start of the session which may have occurred hours beforehand.
msg355435 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-10-26 22:28
Given this, I reproduced the issue on Windows for both 3.7 and 3.8.  The bug is trying to compile the Shell window, after it has been saved, or an Output window, with a prompt to save, for any of F5, Shift-F5, and Alt-X.  There is no existing issue I know of, so I opened #38598 and added PR 16939.
msg356161 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-11-07 01:36
A new intermittent problem has arisen on macOS since I updated to Catalina.  It occurs on both 10.15.0 and 10.15.1.  I'm using the 3.8.0 mac 64-bit install taken directly from python.org.

In a long-running session of IDLE, the process freezes-up during File/SaveAs.  The file save dialog comes-up.  When typing the filename, the dialog window greys-out, the list of files goes blank, and the situation is unrecoverable (see the attached screenshot).

And see below for the core dump in the terminal session.


----------------------------------------------------------------

$ python3.8 -m idlelib.idle
2019-11-06 13:52:34.765 Python[38668:423017] WARNING: <NSSavePanel: 0x7ffd7d70ceb0> running implicitly; please run panels using NSSavePanel rather than NSApplication.
2019-11-06 13:52:40.958 Python[38668:423017] *** Assertion failure in -[NSSavePanel _attachSandboxExtensions:toURL:orURLs:], /BuildRoot/Library/Caches/com.apple.xbs/Sources/AppKit/AppKit-1894.10.126/Nav.subproj/OpenAndSavePanelRemote/NSVBOpenAndSavePanels.m:711
2019-11-06 13:52:40.963 Python[38668:423017] -[NSSavePanel observeValueForKeyPath:ofObject:change:context:] caught non-fatal NSInternalInconsistencyException 'unexpected class type for sandbox extension string!' with backtrace (
	0   CoreFoundation                      0x00007fff3b080f53 __exceptionPreprocess + 250
	1   libobjc.A.dylib                     0x00007fff71146835 objc_exception_throw + 48
	2   CoreFoundation                      0x00007fff3b09c810 +[NSException raise:format:arguments:] + 88
	3   Foundation                          0x00007fff3d77c5d1 -[NSAssertionHandler handleFailureInMethod:object:file:lineNumber:description:] + 191
	4   AppKit                              0x00007fff38be944c __53-[NSSavePanel _attachSandboxExtensions:toURL:orURLs:]_block_invoke + 240
	5   CoreFoundation                      0x00007fff3b0d15a7 __NSARRAY_IS_CALLING_OUT_TO_A_BLOCK__ + 7
	6   CoreFoundation                      0x00007fff3b00923d -[__NSSingleObjectArrayI enumerateObjectsWithOptions:usingBlock:] + 80
	7   AppKit                              0x00007fff38be925c -[NSSavePanel _attachSandboxExtensions:toURL:orURLs:] + 125
	8   AppKit                              0x00007fff38bedf4b -[NSSavePanel _URLsWithSecurityScoped:] + 193
	9   AppKit                              0x00007fff38be9481 -[NSSavePanel _attachSandboxExtensionsAndStartAccessing] + 48
	10  AppKit                              0x00007fff38bea7ce -[NSSavePanel completeWithReturnCode:url:urls:] + 164
	11  AppKit                              0x00007fff38bec787 -[NSSavePanel observeValueForKeyPath:ofObject:change:context:] + 341
	12  Foundation                          0x00007fff3d672412 NSKeyValueNotifyObserver + 335
	13  Foundation                          0x00007fff3d7faf56 NSKeyValueDidChange.llvm.18255262684423441536 + 434
	14  Foundation                          0x00007fff3d7fa761 NSKeyValueDidChangeWithPerThreadPendingNotifications.llvm.18255262684423441536 + 146
	15  ViewBridge                          0x00007fff6d7d8adc __41-[NSViewBridge setObject:forKey:withKVO:]_block_invoke + 360
	16  ViewBridge                          0x00007fff6d860b5c withHintInProgress + 472
	17  ViewBridge                          0x00007fff6d7cf17b -[NSViewBridge setObject:forKey:withKVO:] + 856
	18  ViewBridge                          0x00007fff6d7d087a -[NSViewBridge nonLocalChangeInProgress:block:] + 352
	19  ViewBridge                          0x00007fff6d7d04d7 -[NSRemoteViewMarshal exceptionSafeSetRemoteObject:forKey:withReply:] + 264
	20  ViewBridge                          0x00007fff6d7d038b -[NSRemoteViewMarshal setRemoteObject:forKey:withReply:] + 56
	21  CoreFoundation                      0x00007fff3afdf1dc __invoking___ + 140
	22  CoreFoundation                      0x00007fff3afdf07f -[NSInvocation invoke] + 305
	23  ViewBridge                          0x00007fff6d7cdb1e __deferNSXPCInvocationOntoMainThread_block_invoke + 228
	24  ViewBridge                          0x00007fff6d7c33ec __wrapBlockWithVoucher_block_invoke + 37
	25  ViewBridge                          0x00007fff6d7c31b1 __deferBlockOntoMainThread_block_invoke_2 + 507
	26  CoreFoundation                      0x00007fff3b00cd6b __CFRUNLOOP_IS_CALLING_OUT_TO_A_BLOCK__ + 12
	27  CoreFoundation                      0x00007fff3afcffdd __CFRunLoopDoBlocks + 379
	28  CoreFoundation                      0x00007fff3afcfd50 __CFRunLoopRun + 2792
	29  CoreFoundation                      0x00007fff3afcefe3 CFRunLoopRunSpecific + 499
	30  HIToolbox                           0x00007fff39b5667d RunCurrentEventLoopInMode + 292
	31  HIToolbox                           0x00007fff39b563bd ReceiveNextEventCommon + 600
	32  HIToolbox                           0x00007fff39b56147 _BlockUntilNextEventMatchingListInModeWithFilter + 64
	33  AppKit                              0x00007fff381db864 _DPSNextEvent + 990
	34  AppKit                              0x00007fff381da5d4 -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1352
	35  libtk8.6.dylib                      0x00000001021dc387 -[TKApplication(TKNotify) nextEventMatchingMask:untilDate:inMode:dequeue:] + 42
	36  AppKit                              0x00007fff383ecb52 -[NSApplication _doModalLoop:peek:] + 315
	37  AppKit                              0x00007fff383eb699 __35-[NSApplication runModalForWindow:]_block_invoke_2 + 64
	38  AppKit                              0x00007fff383eb646 __35-[NSApplication runModalForWindow:]_block_invoke + 70
	39  AppKit                              0x00007fff383eaed8 _NSTryRunModal + 100
	40  AppKit                              0x00007fff383eadbd -[NSApplication runModalForWindow:] + 128
	41  libtk8.6.dylib                      0x00000001021cb18b Tk_GetSaveFileObjCmd + 2945
	42  libtcl8.6.dylib                     0x0000000101fc46dc TclNRRunCallbacks + 80
	43  _tkinter.cpython-38-darwin.so       0x0000000101fa2049 Tkapp_Call + 585
	44  Python                              0x0000000101847bc2 cfunction_call_varargs + 290
	45  Python                              0x0000000101911c6b _PyEval_EvalFrameDefault + 27339
	46  Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	47  Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	48  Python                              0x000000010184a59a method_vectorcall + 170
	49  Python                              0x00000001019147dc call_function + 444
	50  Python                              0x0000000101911714 _PyEval_EvalFrameDefault + 25972
	51  Python                              0x0000000101847ed0 function_code_fastcall + 128
	52  Python                              0x00000001019147dc call_function + 444
	53  Python                              0x00000001019115c9 _PyEval_EvalFrameDefault + 25641
	54  Python                              0x0000000101847ed0 function_code_fastcall + 128
	55  Python                              0x000000010184a67c method_vectorcall + 396
	56  Python                              0x00000001018478ad PyVectorcall_Call + 109
	57  Python                              0x0000000101911af8 _PyEval_EvalFrameDefault + 26968
	58  Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	59  Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	60  Python                              0x000000010184a67c method_vectorcall + 396
	61  Python                              0x00000001018478ad PyVectorcall_Call + 109
	62  _tkinter.cpython-38-darwin.so       0x0000000101fa4bf1 PythonCmd + 209
	63  libtcl8.6.dylib                     0x0000000101fc46dc TclNRRunCallbacks + 80
	64  libtcl8.6.dylib                     0x0000000101fc593a TclEvalEx + 1953
	65  libtcl8.6.dylib                     0x0000000101fc5193 Tcl_EvalEx + 26
	66  libtk8.6.dylib                      0x000000010211a39f Tk_BindEvent + 3956
	67  libtk8.6.dylib                      0x000000010211fb6d TkBindEventProc + 347
	68  libtk8.6.dylib                      0x0000000102127636 Tk_HandleEvent + 1108
	69  libtk8.6.dylib                      0x000000010211beb0 Tk_EventObjCmd + 5203
	70  libtcl8.6.dylib                     0x0000000101fc46dc TclNRRunCallbacks + 80
	71  _tkinter.cpython-38-darwin.so       0x0000000101fa2049 Tkapp_Call + 585
	72  Python                              0x0000000101850739 method_vectorcall_VARARGS + 265
	73  Python                              0x00000001019147dc call_function + 444
	74  Python                              0x00000001019115c9 _PyEval_EvalFrameDefault + 25641
	75  Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	76  Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	77  Python                              0x00000001019147dc call_function + 444
	78  Python                              0x00000001019115c9 _PyEval_EvalFrameDefault + 25641
	79  Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	80  Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	81  Python                              0x00000001018478ad PyVectorcall_Call + 109
	82  Python                              0x0000000101911af8 _PyEval_EvalFrameDefault + 26968
	83  Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	84  Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	85  Python                              0x000000010184a5db method_vectorcall + 235
	86  Python                              0x00000001018478ad PyVectorcall_Call + 109
	87  _tkinter.cpython-38-darwin.so       0x0000000101fa4bf1 PythonCmd + 209
	88  libtcl8.6.dylib                     0x0000000101fc46dc TclNRRunCallbacks + 80
	89  libtk8.6.dylib                      0x0000000102154311 TkInvokeMenu + 470
	90  libtk8.6.dylib                      0x00000001021d6f3e -[TKMenu(TKMenuActions) tkMenuItemInvoke:] + 184
	91  AppKit                              0x00007fff3848e8d4 -[NSApplication(NSResponder) sendAction:to:from:] + 299
	92  AppKit                              0x00007fff384e3a4e -[NSMenuItem _corePerformAction] + 312
	93  AppKit                              0x00007fff384e37ca -[NSCarbonMenuImpl performActionWithHighlightingForItemAtIndex:] + 106
	94  AppKit                              0x00007fff3853b9c0 -[NSMenu performActionForItemAtIndex:] + 114
	95  AppKit                              0x00007fff3853b945 -[NSMenu _internalPerformActionForItemAtIndex:] + 82
	96  AppKit                              0x00007fff3853b78c -[NSCarbonMenuImpl _carbonCommandProcessEvent:handlerCallRef:] + 101
	97  AppKit                              0x00007fff384b5b20 NSSLMMenuEventHandler + 908
	98  HIToolbox                           0x00007fff39b54701 _ZL23DispatchEventToHandlersP14EventTargetRecP14OpaqueEventRefP14HandlerCallRec + 1419
	99  HIToolbox                           0x00007fff39b53ad0 _ZL30SendEventToEventTargetInternalP14OpaqueEventRefP20OpaqueEventTargetRefP14HandlerCallRec + 338
	100 HIToolbox                           0x00007fff39b71108 SendEventToEventTarget + 39
	101 HIToolbox                           0x00007fff39bc20a4 _ZL18SendHICommandEventjPK9HICommandjjhPKvP20OpaqueEventTargetRefS5_PP14OpaqueEventRef + 368
	102 HIToolbox                           0x00007fff39be96ce SendMenuCommandWithContextAndModifiers + 45
	103 HIToolbox                           0x00007fff39be9673 SendMenuItemSelectedEvent + 339
	104 HIToolbox                           0x00007fff39be94c7 _ZL19FinishMenuSelectionP13SelectionDataP10MenuResultS2_ + 96
	105 HIToolbox                           0x00007fff39be9ef3 _ZL14MenuSelectCoreP8MenuData5PointdjPP13OpaqueMenuRefPt + 603
	106 HIToolbox                           0x00007fff39be9bfc _HandleMenuSelection2 + 452
	107 AppKit                              0x00007fff381e5085 _NSHandleCarbonMenuEvent + 215
	108 AppKit                              0x00007fff381e4ef2 _DPSEventHandledByCarbon + 54
	109 AppKit                              0x00007fff381dac1e -[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 2962
	110 libtk8.6.dylib                      0x00000001021dc387 -[TKApplication(TKNotify) nextEventMatchingMask:untilDate:inMode:dequeue:] + 42
	111 libtk8.6.dylib                      0x00000001021dc6fc TkMacOSXEventsCheckProc + 295
	112 libtcl8.6.dylib                     0x0000000102073d06 Tcl_DoOneEvent + 316
	113 _tkinter.cpython-38-darwin.so       0x0000000101fa43de _tkinter_tkapp_mainloop + 382
	114 Python                              0x0000000101850ace method_vectorcall_FASTCALL + 254
	115 Python                              0x00000001019147dc call_function + 444
	116 Python                              0x00000001019115c9 _PyEval_EvalFrameDefault + 25641
	117 Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	118 Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	119 Python                              0x000000010184a59a method_vectorcall + 170
	120 Python                              0x00000001019147dc call_function + 444
	121 Python                              0x00000001019115ed _PyEval_EvalFrameDefault + 25677
	122 Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	123 Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	124 Python                              0x00000001019147dc call_function + 444
	125 Python                              0x000000010191167a _PyEval_EvalFrameDefault + 25818
	126 Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	127 Python                              0x000000010190b0c4 PyEval_EvalCode + 100
	128 Python                              0x00000001019084b2 builtin_exec + 626
	129 Python                              0x000000010188381f cfunction_vectorcall_FASTCALL + 175
	130 Python                              0x00000001019147dc call_function + 444
	131 Python                              0x000000010191167a _PyEval_EvalFrameDefault + 25818
	132 Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	133 Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	134 Python                              0x00000001019147dc call_function + 444
	135 Python                              0x000000010191167a _PyEval_EvalFrameDefault + 25818
	136 Python                              0x0000000101915624 _PyEval_EvalCodeWithName + 2804
	137 Python                              0x000000010184806e _PyFunction_Vectorcall + 270
	138 Python                              0x00000001018478ad PyVectorcall_Call + 109
	139 Python                              0x0000000101977a96 pymain_run_module + 182
	140 Python                              0x000000010197705d Py_RunMain + 1085
	141 Python                              0x00000001019777cf pymain_main + 223
	142 Python                              0x00000001019779cb Py_BytesMain + 43
	143 libdyld.dylib                       0x00007fff724a92e5 start + 1
	144 ???                                 0x0000000000000003 0x0 + 3
)
msg356163 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-07 02:01
That's quite a stack trace, bouncing back and forth between Python and Tk and macOS.  I don't really have any experience with the flow of control there with call outs to file save dialogs.  CCing Kevin Walzer on the off chance that this might be familiar and hopefully fixed in the forthcoming Tk 8.6.10 release.  Kevin, we are still running with a vanilla 8.6.8 release built on macOS 10.9.
msg356165 - (view) Author: Kevin Walzer (wordtech) * Date: 2019-11-07 04:06
On macOS, Tk 8.6.8 is considered ancient, even obsolete, on 10.14 or later. Tk has required huge re-work to accommodate changes in the Mac's drawing API's on 10.14, mostly done by Marc Culler; these issues are not observable with the current tip of 8.6 development and IDLE 3.7.4. An RC of 8.6.10 has just gone out and we are anticipating the final release by Nov. 21, which includes too many changes to enumerate here. In any case, it should be considerably more stable than what is being reported.
msg356172 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-11-07 06:35
Thanks for the report on the freezes, Raymond! My mac was recently fixed and I've upgraded to the latest OS version, so I'll take a look at this as well.

Thanks for the update on the Tk side, Kevin. It's very unfortunate that we've found 3.6.9 unusable with Python, and I certainly hope that 3.6.10 will not be like that. How can we work with the Tk developers to ensure it works with Python across platforms?
msg356174 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-07 06:59
Thanks, Kevin.  I do see that 8.6.10rc1 is now available.  Yay!

Tal:
> How can we work with the Tk developers to ensure it works with Python across platforms?

We have the first 3.9.0 alpha scheduled in about 10 days. I will try to build 8.6.10rc1 (or later release) and include it in 3.9.0a1. I could also try to make a 3.8.0 and/or 3.7.5 with 8.6.10rc1 installer available informally.
msg356175 - (view) Author: Tal Einat (taleinat) * (Python committer) Date: 2019-11-07 07:07
Ned:
- I could also try to make a 3.8.0 and/or 3.7.5 with 8.6.10rc1 installer available informally.

That would be very helpful! If you do so I'd be happy to test on Windows, macOS. I'm also able to test on Ubuntu if that would help.

I suggest we somehow collect new issues we find with the 3.6.10 release candidates and follow up those with the Tk developers - perhaps we could use a dedicated issue here or some other shared document?
msg356176 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-11-07 07:12
Quick summary and opinions so far:
* Jump to top: general IDLE bug, fixed.

* Repeated quit message: never seen by me, likely IDLE bug.  I need to check code where message emitted.

* Arrow keys emit ? replacement char: never seen by me, likely tcl bug. IDLE only binds <Key-Up> and <Key-Down> for completion, font, and path/browser lists, but not editor.  So if bug happens in editor, as implied, IDLE likely not involved.

* SaveFile crash: never seen by me with this dialog that I remember, likely tcl or even macOS bug.  The dialog matches Safari SaveAs box with Python-specific formats.  It results from IDLE tkinter call, which calls tcl, which calls AppKit -- lines 41-40 in C call stack.  Line 35 is the only non-OS (tcl) call thereafter.
msg356177 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-07 07:17
> That would be very helpful! If you do so I'd be happy to test on Windows, macOS.

Sorry, I meant for macOS only.  I'm not getting into the business of building Windows installers, too. :)  As for Ubuntu, you should be able to build that yourself.  But I think Kevin's point is that there are a lot of macOS-specific changes in Tk 8.6.10 and that's what we can really help to test.
History
Date User Action Args
2019-11-07 07:17:16ned.deilysetmessages: + msg356177
2019-11-07 07:12:44terry.reedysetmessages: + msg356176
2019-11-07 07:07:17taleinatsetmessages: + msg356175
2019-11-07 06:59:06ned.deilysetmessages: + msg356174
2019-11-07 06:35:33taleinatsetmessages: + msg356172
2019-11-07 04:06:09wordtechsetmessages: + msg356165
2019-11-07 02:01:00ned.deilysetnosy: + wordtech
messages: + msg356163
2019-11-07 01:36:13rhettingersetfiles: + Screen Shot 2019-11-06 at 5.29.32 PM.png

messages: + msg356161
2019-10-26 22:28:25terry.reedysetmessages: + msg355435
2019-10-26 18:33:49rhettingersetmessages: + msg355424
2019-10-20 04:58:01rhettingersetmessages: + msg354984
2019-10-13 07:26:03rhettingersetmessages: - msg354566
2019-10-13 07:25:55rhettingersetmessages: + msg354566
2019-10-13 07:18:25rhettingersetmessages: + msg354565
2019-10-11 22:28:48taleinatsetnosy: + taleinat
2019-10-11 08:41:09ned.deilysetmessages: + msg354433
2019-10-11 07:28:14ned.deilysetmessages: + msg354426
title: Possible news issues with IDLE -> Possible new issues with IDLE
2019-10-11 06:45:40terry.reedysetnosy: + ned.deily
messages: + msg354423
2019-10-11 04:27:28rhettingercreate